<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Checkout extends Model
{
	protected $table = 'ab_checkout';
	public $timestamps = FALSE;

	public function payments()
	{
		return $this->hasMany(Payment::class);
	}

	/** SCOPES **/

	/**
	 * Search for a record
	 *
	 * @param        $query
	 * @param string $term
	 * @return
	 */
	public function scopeActive($query)
	{
		return $query->where('active',TRUE);
	}

	/** FUNCTIONS **/

	public function fee(float $amt,int $items=1): float
	{
		if (! $this->fee_passon OR ! $items)
			return 0;

		$fee = $amt+$this->fee_fixed/$items;
		$fee /= (1-$this->fee_variable);

		return round($fee-$amt,2);
	}
}