<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

use App\Models\{Account,Country};

class AccountFactory extends Factory
{
	/**
	 * The name of the factory's corresponding model.
	 *
	 * @var string
	 */
	protected $model = Account::class;

	/**
	 * Define the model's default state.
	 *
	 * @return array
	 */
	public function definition()
	{
		// Create Dependencies - should be loaded by seeding.
		$co = Country::findOrFail(61);
		$lo = Language::findOrFail(1);
		$cyo = Currency::findOrFail(6);

		return [
			'id' => $this->faker->numberBetween(2048,65535),
			// 'date_orig',
			// 'date_last',
			//* 'site_id',					// Needs to be passed in
			// 'date_expire',
			'language_id' => $lo->id,
			'country_id' => $co->id,
			// 'rtm_id',
			'currency_id' => $cyo->id,
			'active' => TRUE,
			// 'company',
			// 'address1',
			// 'address2',
			// 'city',
			// 'state',
			// 'zip',
			// 'user_id',
		];
	}
}
