<div class="box box-warning">
	<div class="box-header">
		<h3 class="box-title">Clients</h3>
		<div class="box-tools pull-right">
			<button type="button" class="btn btn-box-tool" data-widget="collapse" data-toggle="tooltip" title="Collapse">
				<i class="fa fa-minus"></i></button>
			<button type="button" class="btn btn-box-tool" data-widget="remove" data-toggle="tooltip" title="Remove">
				<i class="fa fa-times"></i></button>
		</div>
	</div>

	<div class="box-body">
		@if ($user->all_clients()->count())
			<table class="table table-bordered table-striped table-hover" id="clients" style="width: 100%;">
				<thead>
				<tr>
					<th>Profile</th>
					<th>ID</th>
					<th>Name</th>
					<th>Active</th>
					<th>Services</th>
					<th>Level</th>
				</tr>
				</thead>
				<tfoot>
				<tr>
					<th>Count {{ $user->all_clients()->count() }}</th>
					<th colspan="5">&nbsp;</th>
				</tr>
				</tfoot>
			</table>
		@else
			<p>No Clients Active</p>
		@endif
	</div>
</div>

@section('page-scripts')
	@css(datatables,bootstrap4|rowgroup)
	@js(datatables,bootstrap4|rowgroup)

	<style>
		table.dataTable td {
			outline: none;
		}
	</style>
	<script type="text/javascript">
		$(document).ready(function() {
			$('#clients').DataTable( {
				responsive: true,
				ajax: {
					url: "/api/r/clients"
				},
				columns: [
					{ data: "switch_url" },
					{ data: "user_id_url" },
					{ data: "surfirstname" },
					{ data: "active_display" },
					{ data: "services_count_html" },
					{ data: "level" }
				],
				language: {
					emptyTable: "No Active Clients"
				},
				order: [2, 'asc']
			});

			$('#clients tbody').on('click','tr', function () {
				$(this).toggleClass('selected');
			});
		});
	</script>
@append